%global cpan_version 5.74

Summary:        A interface to export functions and variables to its users' namespaces
Name:           perl-Exporter
Version:        5.77
Release:        5%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Exporter
Source0:        https://cpan.metacpan.org/authors/id/T/TO/TODDR/Exporter-%{cpan_version}.tar.gz

# From perl 5.36.0
Patch0001:      Exporter-5.74-Upgrade-to-5.77.patch

BuildRequires:  coreutils make
BuildRequires:  perl-generators perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Carp) >= 1.05
BuildRequires:  perl(strict) perl(warnings) perl(Test::More) perl(vars)
Requires:       perl(Carp) >= 1.05
Requires:       perl(warnings)

BuildArch:      noarch

%description
The Exporter module is a highly flexible interface which allows a module
to export functions and variables to its users' namespaces. 

%prep
%autosetup -n Exporter-%{cpan_version} -p1

%build
perl Makefile.PL NO_PACKLIST=1 NO_PERLLOCAL=1 INSTALLDIRS=vendor
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.77-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 5.77-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.77-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.77-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Aug 11 2022 ZoeDong <zoedong@tencent.com> - 5.77-1
- Initial build

